View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
14854Bug reportsSurvey editingpublic2019-05-10 15:36
ReporterDenisChenu Assigned Tomarkusfluer 
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version4.0.0dev 
Fixed in Version4.0.0-beta 
Summary14854: Class 'DataSetListDropdown' not found
Description

When create a list radio question type : have error

Steps To Reproduce

Create a survey, create a question, update to set it as list radio
Eventually : try again … to save
After a time : reload via F5 page
Look at console to see the 500 error

Additional Information

Open in a new tab the 500 error file

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)4.0.0 github 28594df
I will donate to the project if issue is resolvedNo
BrowserFF 66
Database type & versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Versionphp7.2

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2019-05-07 16:39

developer  

Error.html (20,205 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Error</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>Error</h1>

	<p class="message">
		Class 'DataSetListDropdown' not found	</p>

	<div class="source">
		<p class="file">/mnt/data/shnoulle/nginx/www/develop/application/models/Question.php(1041)</p>
		<div class="code"><pre><span class="ln">1029</span>     
<span class="ln">1030</span>     public function getDataSetObject($type = null)
<span class="ln">1031</span>     {
<span class="ln">1032</span>         $type = $type === null ? $this-&gt;type : $type;
<span class="ln">1033</span>         LoadQuestionTypes::load($type);
<span class="ln">1034</span> 
<span class="ln">1035</span>         switch ($type) {
<span class="ln">1036</span>             case Question::QT_X_BOILERPLATE_QUESTION:           return new DataSetBoilerplate($this-&gt;qid);
<span class="ln">1037</span>             case Question::QT_5_POINT_CHOICE:                   return new DataSetFivePointChoice($this-&gt;qid);
<span class="ln">1038</span>             case Question::QT_ASTERISK_EQUATION:                return new DataSetEquation($this-&gt;qid);
<span class="ln">1039</span>             case Question::QT_D_DATE:                           return new DataSetDate($this-&gt;qid);
<span class="ln">1040</span>             case Question::QT_1_ARRAY_MULTISCALE:               return new DataSetArrayMultiscale($this-&gt;qid);
<span class="error"><span class="ln error-ln">1041</span>             case Question::QT_L_LIST_DROPDOWN:                  return new DataSetListDropdown($this-&gt;qid);
</span><span class="ln">1042</span>             case Question::QT_EXCLAMATION_LIST_DROPDOWN:        return new DataSetListRadio($this-&gt;qid);
<span class="ln">1043</span>             case Question::QT_O_LIST_WITH_COMMENT:              return new DataSetListWithComment($this-&gt;qid);
<span class="ln">1044</span>             case Question::QT_R_RANKING_STYLE:                  return new RenderRanking($aFieldArray);
<span class="ln">1045</span>             case Question::QT_M_MULTIPLE_CHOICE:                return new DataSetMultipleChoice($this-&gt;qid);
<span class="ln">1046</span>             case Question::QT_P_MULTIPLE_CHOICE_WITH_COMMENTS:  return new DataSetMultipleChoiceWithComments($this-&gt;qid);
<span class="ln">1047</span>             case Question::QT_I_LANGUAGE:                       return new DataSetLanguage($this-&gt;qid);
<span class="ln">1048</span>             case Question::QT_Q_MULTIPLE_SHORT_TEXT:            return new DataSetMultipleShortText($this-&gt;qid);
<span class="ln">1049</span>             case Question::QT_T_LONG_FREE_TEXT:                 return new DataSetLongFreeText($this-&gt;qid);
<span class="ln">1050</span>             case Question::QT_U_HUGE_FREE_TEXT:                 return new DataSetHugeFreeText($this-&gt;qid);
<span class="ln">1051</span>             case Question::QT_K_MULTIPLE_NUMERICAL_QUESTION:    return new RenderMultipleNumerical($aFieldArray);
<span class="ln">1052</span>             case Question::QT_A_ARRAY_5_CHOICE_QUESTIONS:       return new DataSetArray5ChoiceQuestion($this-&gt;qid);
<span class="ln">1053</span>             case Question::QT_B_ARRAY_10_CHOICE_QUESTIONS:      return new DataSetArray10ChoiceQuestion($this-&gt;qid);
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace app expanded">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/controllers/admin/questionedit.php(284): <strong>Question</strong>-&gt;<strong>getDataSetObject</strong>()				</div>

				<div class="code"><pre><span class="ln">279</span>     }
<span class="ln">280</span>     
<span class="ln">281</span>     public function getGeneralOptions($iQuestionId, $sQuestionType=null, $returnArray = false)
<span class="ln">282</span>     {
<span class="ln">283</span>         $oQuestion = $this-&gt;_getQuestionObject($iQuestionId, $sQuestionType);
<span class="error"><span class="ln error-ln">284</span>         $aGeneralOptionsArray = $oQuestion-&gt;getDataSetObject()-&gt;getGeneralSettingsArray($oQuestion-&gt;qid, $sQuestionType);
</span><span class="ln">285</span> 
<span class="ln">286</span>         if( $returnArray === true ) {
<span class="ln">287</span>             return $aGeneralOptionsArray;
<span class="ln">288</span>         }
<span class="ln">289</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>questionedit</strong>-&gt;<strong>getGeneralOptions</strong>("6", "L", false)				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/actions/CAction.php(109): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>(questionedit, array("6", "L", false))				</div>

				<div class="code"><pre><span class="ln">104</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">105</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">106</span>             else
<span class="ln">107</span>                 return false;
<span class="ln">108</span>         }
<span class="error"><span class="ln error-ln">109</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">110</span>         return true;
<span class="ln">111</span>     }
<span class="ln">112</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/core/Survey_Common_Action.php(83): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>(questionedit,
 ReflectionMethod, array("r" =&gt; 
"admin/questioneditor/sid/471658/gid/4/sa/getGeneralOptions", 
"YII_CSRF_TOKEN" =&gt; 
"d0NEbmZ2ZmNJX25fczZHYmdqNnFkSHRnWW1aX2w0bVqawdU0DvGLc1UfikEwRw4p...", 
"iQuestionId" =&gt; "6", "sQuestionType" =&gt; "L", ...))				</div>

				<div class="code"><pre><span class="ln">78</span>             $oMethod = new ReflectionMethod($this, $sDefault);
<span class="ln">79</span>         }
<span class="ln">80</span> 
<span class="ln">81</span>         // We're all good to go, let's execute it
<span class="ln">82</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">83</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">84</span>     }
<span class="ln">85</span> 
<span class="ln">86</span>     /**
<span class="ln">87</span>      * Some functions have different parameters, which are just an alias of the
<span class="ln">88</span>      * usual parameters we're getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(308): <strong>Survey_Common_Action</strong>-&gt;<strong>runWithParams</strong>(array("r"
 =&gt; "admin/questioneditor/sid/471658/gid/4/sa/getGeneralOptions", 
"YII_CSRF_TOKEN" =&gt; 
"d0NEbmZ2ZmNJX25fczZHYmdqNnFkSHRnWW1aX2w0bVqawdU0DvGLc1UfikEwRw4p...", 
"iQuestionId" =&gt; "6", "sQuestionType" =&gt; "L", ...))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(questionedit)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(questionedit, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/controllers/AdminController.php(158): <strong>CController</strong>-&gt;<strong>run</strong>("questioneditor")				</div>

				<div class="code"><pre><span class="ln">153</span>                     $this-&gt;redirect(array('/admin/authentication/sa/login'));
<span class="ln">154</span>                 }
<span class="ln">155</span>             }
<span class="ln">156</span>         }
<span class="ln">157</span> 
<span class="error"><span class="ln error-ln">158</span>         return parent::run($action);
</span><span class="ln">159</span>     }
<span class="ln">160</span> 
<span class="ln">161</span>     /**
<span class="ln">162</span>      * Routes all the actions to their respective places
<span class="ln">163</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CWebApplication.php(282): <strong>AdminController</strong>-&gt;<strong>run</strong>("questioneditor")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("admin/questioneditor/sid/471658/gid/4/sa/getGeneralOptions")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/index.php(195): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">190</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">191</span> 
<span class="ln">192</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">193</span> 
<span class="ln">194</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">195</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">196</span> 
<span class="ln">197</span> /* End of file index.php */
<span class="ln">198</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2019-05-07 14:32:06 nginx/1.14.2 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.21	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



</body></html>
Error.html (20,205 bytes)   
DenisChenu

DenisChenu

2019-05-07 16:45

developer   ~51806

Single choice seems to work publicly but can not be edited

c_schmitz

c_schmitz

2019-05-10 15:36

administrator   ~51870

4.0beta1 released

Issue History

Date Modified Username Field Change
2019-05-07 16:39 DenisChenu New Issue
2019-05-07 16:39 DenisChenu File Added: Error.html
2019-05-07 16:45 DenisChenu File Added: Capture d’écran du 2019-05-07 16-45-05.png
2019-05-07 16:45 DenisChenu Note Added: 51806
2019-05-07 17:52 dominikvitt Assigned To => markusfluer
2019-05-07 17:52 dominikvitt Status new => assigned
2019-05-09 16:46 markusfluer Status assigned => resolved
2019-05-09 16:46 markusfluer Resolution open => fixed
2019-05-09 16:46 markusfluer Fixed in Version => 4.0.0-beta
2019-05-10 15:36 c_schmitz Note Added: 51870
2019-05-10 15:36 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing